Type to search.

Get associated deployments

Base URL
https://api.elastic-cloud.com/api/v1
  • GET /deployments/traffic-filter/rulesets/{ruleset_id}/associations
No auth

Retrieves a list of deployments that are associated to the specified ruleset.

Path parameters

ruleset_id string required

The mandatory ruleset ID.

Responses

Associations referred by traffic filter rulesets were successfully returned

application/json
associations object[] required

List of associations

entity_type string required

Type of the traffic filter ruleset association, such as 'deployment', 'cluster'

id string required

ID of the entity, such as the deployment ID or Elasticsearch cluster ID.

total_associations integer · format: int32 required

Total number of associations. This includes associations the user does not have permission to view.